ChiliProject - Bug # 322: reposman.rb doesn't work with Rubygems >= 1.6.0

Status: Closed Priority: Normal

Author: Holger Just Category: SCM

Created: 2011-04-08 Assignee: Holger Just

Updated: 2011-05-19 Due date:

Remote issue URL:

Affected version:

Description: @reposman.rb@ requires a @require 'thread'@ for rubygems >= 1.6 compatibility, similar to #133.

The observed error with the @require@ missing is: <pre>uninitialized constant

ActiveSupport::Dependencies::Mutex (NameError)</pre>

Associated revisions

2011-05-20 12:04 am - Felix SchAxfer

Work around a deprecation in rubygems 1.6+. #322

History

2011-05-01 07:30 pm - Eric Davis
- Target version changed from 1.3.0 to 1.4.0

Moving incomplete issues to the next release.

2011-05-14 04:19 pm - Felix Schéfer

Holger Just wrote:

> @reposman.rb@ requires a @require 'thread'@ for rubygems >= 1.6 compatibility, similar to #133.

This is only for rails 2.3.5, isn't it? Care to put it in master with a note that it shouldn't be merged to unstable?

2011-05-19 10:04 pm - Felix Schéfer
- Status changed from Open to Closed

Merged in commit:333a3187bd1d65d5d367776b95d1164fa42d3ab8.
